Open PDF Reports and PDF Attachments in Browser

by ,
Odoo 6
v 14.0 Third Party 6078
Download for v 14.0 Deploy on Odoo.sh Live Preview
Lines of code 87
Technical Name prt_report_attachment_preview
LicenseLGPL-3
Websitehttps://cetmix.com
Also available in version v 11.0 v 10.0 v 12.0 v 13.0
You bought this module and need support? Click here!
Lines of code 87
Technical Name prt_report_attachment_preview
LicenseLGPL-3
Websitehttps://cetmix.com
Also available in version v 11.0 v 10.0 v 12.0 v 13.0

Open PDF Reports in browser

Main features

  • Preview PDF reports in browser instead of downloading
  • Download reports later from browser if you need (filename will be preserved)
  • Note: you must enable pop-up windows for Odoo when prompted!

Other useful apps

Support

  • Tested on Odoo Community v14.0
  • Russian language translation
  • English, German and Russian language support
  • Click to contact us for support or any custom app you need

Need support, customization or interested in collaboration?

Try our Apps

In Odoo App Store

Contact Us

cetmix.com

Run demo

demo.cetmix.com

Search for "cetmix" in social networks

Before

After

Click to try it!

Click to contact us for support

Icon and frame vector created by Freepik

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Error when installing in Odoo.sh , Odoo 14
by
JORGE APARICI
on 5/11/21, 2:02 PM

Hi.

We get this error when we try to install it in Odoo.sh. It's the first application installed in the database:

05/11/2021 19:55:40ERRORserverError on request: Traceback (most recent call last): File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch result = request.dispatch() File "/home/odoo/src/odoo/odoo/http.py", line 806, in dispatch r = self._call_function(**self.params) File "/home/odoo/src/odoo/odoo/http.py", line 359, in _call_function return checked_call(self.db, *args, **kwargs) File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "/home/odoo/src/odoo/odoo/http.py", line 347, in checked_call result = self.endpoint(*a, **kw) File "/home/odoo/src/odoo/odoo/http.py", line 912, in __call__ return self.method(*args, **kw) File "/home/odoo/src/odoo/odoo/http.py", line 531, in response_wrap response = f(*args, **kw) File "/home/odoo/src/user/prt_report_attachment_preview/controllers/cetmix_controllers.py", line 85, in report_routes pdf = report.with_context(context)._render_qweb_pdf(docids, data=data)[0] File "/home/odoo/src/odoo/odoo/addons/base/models/ir_actions_report.py", line 738, in _render_qweb_pdf return self._render_qweb_html(res_ids, data=data) File "/home/odoo/src/odoo/odoo/addons/base/models/ir_actions_report.py", line 844, in _render_qweb_html data = self._get_rendering_context(docids, data) File "/home/odoo/src/odoo/odoo/addons/base/models/ir_actions_report.py", line 866, in _get_rendering_context docs = self.env[self_sudo.model].browse(docids) File "/home/odoo/src/odoo/odoo/api.py", line 473, in __getitem__ return self.registry[model_name]._browse(self, (), ()) File "/home/odoo/src/odoo/odoo/modules/registry.py", line 177, in __getitem__ return self.models[model_name] Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/werkzeug/serving.py", line 306, in run_wsgi execute(self.server.app) File "/usr/lib/python3/dist-packages/werkzeug/serving.py", line 294, in execute application_iter = app(environ, start_response) File "/home/odoo/src/odoo/odoo/service/server.py", line 440, in app return self.app(e, s) File "/home/odoo/src/odoo/odoo/service/wsgi_server.py", line 124, in application return application_unproxied(environ, start_response) File "/home/odoo/src/odoo/odoo/service/wsgi_server.py", line 99, in application_unproxied result = odoo.http.root(environ, start_response) File "/home/odoo/src/odoo/odoo/http.py", line 1295, in __call__ return self.dispatch(environ, start_response) File "/home/odoo/src/odoo/odoo/http.py", line 1263, in __call__ return self.app(environ, start_wrapped) File "/usr/lib/python3/dist-packages/werkzeug/middleware/shared_data.py", line 220, in __call__ return self.app(environ, start_response) File "/home/odoo/src/odoo/odoo/http.py", line 1468, in dispatch result = ir_http._dispatch() File "/home/odoo/src/odoo/addons/web_editor/models/ir_http.py", line 21, in _dispatch return super(IrHttp, cls)._dispatch() File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 241, in _dispatch return cls._handle_exception(e) File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 209, in _handle_exception return request._handle_exception(exception) File "/home/odoo/src/odoo/odoo/http.py", line 744, in _handle_exception return super(HttpRequest, self)._handle_exception(exception) File "/home/odoo/src/odoo/odoo/http.py", line 315, in _handle_exception raise exception.with_traceback(None) from new_cause KeyError: False
05/11/2021 19:55:40 ERROR server FAIL: WebSuite.test_js Traceback (most recent call last): File "/home/odoo/src/odoo/addons/web/tests/test_js.py", line 15, in test_js self.browser_js('/web/tests?mod=web&failfast', "", "", login='admin', timeout=1800) File "/home/odoo/src/odoo/odoo/tests/common.py", line 1419, in browser_js self.fail('%s\n%s' % (message, error)) AssertionError: Some js test failed "QUnit test failed: "ActionManager > Report actions > can execute report actions from db ID" [message: "undefined", actual: "/web/action/load,/report/check_wkhtmltopdf,on_close", expected: "/web/action/load,/report/check_wkhtmltopdf,/report/download,on_close"] "QUnit test failed: "ActionManager > Report actions > can execute report actions from db ID" [message: "Expected 5 assertions, but 4 were run", expected: "undefined"] 2 / 10223 tests failed.
05/11/2021 19:56:16



Thank you

Re: Error when installing in Odoo.sh , Odoo 14
by
Ivan Sokolov
on 5/11/21, 3:52 PM Author

Hi,

Thank you for your feedback! Please try installing this module after an least a single app is installed in db.
If the problem persists please contact us directly. Link to our site is in the module description.

Best regards,
Ivan


by
Anand Raja K
on 12/3/20, 1:42 AM

While I am clicking a print button in the wizard, the pdf report will open in a new tab but the wizard still exists there in the old tab as idle. We can't click the print button again, we need to close the wizard forcefully 

Re:
by
Ivan Sokolov
on 12/3/20, 4:43 AM Author

Hi, thank you for feed! Currently this is the default flow due to Odoo behavior.


Improvement Suggestion add other language support printing in BOM
by
EthanL
on 12/1/20, 9:16 PM

the current state of this addon not able to print your language in BOM (bill of material) English Only

Re: Improvement Suggestion add other language support printing in BOM
by
Ivan Sokolov
on 12/2/20, 1:45 AM Author

Hello EthanL,

Thank you for your feedback! Could you please give some more detailed description of your workflow so we could check it?

Best regards,
Ivan